Bug 30820 - problems with Cirrus GD5446 chipset
problems with Cirrus GD5446 chipset
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-06 11:18 EST by John A. Hull
Modified: 2007-04-18 12:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-27 17:51:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Superprobe of system (1004 bytes, text/plain)
2001-03-06 11:20 EST, John A. Hull
no flags Details

  None (edit)
Description John A. Hull 2001-03-06 11:18:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0; DigExt)


Xconfigurator 4.9.16 seg faults and dumps core on Dell PE 8450 with gd5446 
chipset. previous verions of Xconfigurator required turning on the "no 
bitblip" option in XF86Config, and using Xfree3, running "Xconfigurator --
expert --preferxf3" still causes segmentation fault. 


Reproducible: Always
Steps to Reproduce:
1. Install RC2
2. Run Xconfigurator
3. Probe chipset
4. Card listing identifies chipset correctly
5. Hit enter
6. Segmentation fault, core dumped
	

Actual Results:  Xconfigurator can't run

Expected Results:  Write XF86 config file correctly and be able to run X
Comment 1 John A. Hull 2001-03-06 11:20:48 EST
Created attachment 11882 [details]
Superprobe of system
Comment 2 Bill Nottingham 2001-03-06 11:30:16 EST
Does this persist on RC2?
Comment 3 John A. Hull 2001-03-06 11:41:41 EST
This was found on RC2. Did not occur on previous Betas.
Comment 4 Glen Foster 2001-03-06 16:13:51 EST
We (Red Hat) should really try to fix this before next release.
Comment 5 Bill Nottingham 2001-03-08 17:48:26 EST
What kind of monitor is attached to it?

Does it persist if you specify --noddcprobe?

Does it persist with Xconfigurator-4.9.17-1, available at
http://people.redhat.com/notting/Xconfigurator/

?
Comment 6 Trond Eivind Glomsrxd 2001-03-09 14:24:53 EST
And if it does, can you rebuild Xconfiguratior with debugging info and give us a
traceback?
Comment 7 John A. Hull 2001-03-12 11:10:50 EST
the --noddcprobe flag keeps Xconfigurator from seg faulting.
Downloading the new Xconfigurator 4.9.17-1 listed here,
Does not help.
After the XF86Config file has been written, you have to edit it and put the 
no_bitblt option in.
but X still hangs on startup at a grey screen, curser disappears.
Must do a hard boot at this point.
Nothing else can be done other than trying to trace the problem by building the 
source code.
Comment 8 Bill Nottingham 2001-03-12 11:20:17 EST
What kind of monitor is attached?
Comment 9 Bill Nottingham 2001-03-12 11:20:41 EST
If you build 'ddcprobe' in the kudzu source package, does that also
segfault?
Comment 10 John A. Hull 2001-03-12 12:16:57 EST
Dell M780 Monitor
Comment 11 Bill Nottingham 2001-03-12 17:40:27 EST
Will be fixed in kudzu-0.97.7-1; Xconfigurator will need to be rebuilt
once this is installed in the build roots.
Comment 12 John A. Hull 2001-03-21 11:34:10 EST
Xconfigurator no longer seg faults.  However
attempting to startx works temporarily, but
screen goes blank during gnome startup.  Activating
"no bitblt" option has no effect.  Running "Xconfigurator
--expert --preferxf3" attempts to use XF86_SVGA
then says server does not exist.
Comment 13 Trond Eivind Glomsrxd 2001-03-24 16:47:27 EST
Try installing the XFree86-SVGA package.
Comment 14 Preston Brown 2001-03-26 18:41:10 EST
You need to have XFree86-SVGA installed.  And unfortunately, the Cirrus GD 
54xx series chips are not well supported.
Comment 15 Preston Brown 2001-03-27 17:51:12 EST
we are adding Option "NoAccel" for this card.

Note You need to log in before you can comment on or make changes to this bug.